hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "lihongzhe (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-16403) Upgrade guava version to the lastest one(19.0)
Date Fri, 12 Aug 2016 15:47:20 GMT

    [ https://issues.apache.org/jira/browse/HBASE-16403?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15419031#comment-15419031
] 

lihongzhe commented on HBASE-16403:
-----------------------------------

okļ¼Œthank you

> Upgrade guava version to the lastest one(19.0)
> ----------------------------------------------
>
>                 Key: HBASE-16403
>                 URL: https://issues.apache.org/jira/browse/HBASE-16403
>             Project: HBase
>          Issue Type: Improvement
>          Components: API, Client
>    Affects Versions: 1.1.4
>            Reporter: lihongzhe
>
> HBase client use the guava version 12.0.1, while elasticsearch sdk use the version 18+.
It makes conflict, cause the constructor of StopWatch class is not public now.
> We have to choose the es rest api to resolve the conflict.  Why not try to upgrade our
dependency versions?
> thx.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message